From: Luca Boccassi <luca.bocca...@microsoft.com>

Sync python-pygobject recipe with poky's python3-pygobject:
Setuptools is not a mandatory build-dependency, so remove it.
Pkgutil from the core library is needed at runtime, so add a
dependency on it.

Fixes: f8e1d0c17658 ("python-pygobject: move python-setuptools from RDEPENDS to 
DEPENDS")

Signed-off-by: Luca Boccassi <luca.bocca...@microsoft.com>
---
 meta-oe/recipes-devtools/python/python-pygobject_3.32.2.bb | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/meta-oe/recipes-devtools/python/python-pygobject_3.32.2.bb 
b/meta-oe/recipes-devtools/python/python-pygobject_3.32.2.bb
index 9c175e682..0ea70b23b 100644
--- a/meta-oe/recipes-devtools/python/python-pygobject_3.32.2.bb
+++ b/meta-oe/recipes-devtools/python/python-pygobject_3.32.2.bb
@@ -7,7 +7,7 @@ LIC_FILES_CHKSUM = 
"file://COPYING;md5=a916467b91076e631dd8edb7424769c7"
 GNOMEBASEBUILDCLASS = "meson"
 inherit gnomebase gobject-introspection distutils-base upstream-version-is-even
 
-DEPENDS += "python python-setuptools glib-2.0"
+DEPENDS += "python glib-2.0"
 
 SRCNAME = "pygobject"
 SRC_URI = " \
@@ -30,6 +30,7 @@ PACKAGECONFIG[python] = "-Dpython=python3, -Dpython=python2, 
, "
 PACKAGECONFIG[stagedir] = "-Dstagedir=${PYTHON_SITEPACKAGES_DIR}, 
-Dstagedir="", , "
 
 BBCLASSEXTEND = "native"
+RDEPENDS_${PN} = "python-pkgutil"
 RDEPENDS_${PN}_class-native = ""
 
 do_install_append() {
-- 
2.20.1

-- 
_______________________________________________
Openembedded-devel mailing list
Openembedded-devel@lists.openembedded.org
http://lists.openembedded.org/mailman/listinfo/openembedded-devel

Reply via email to